import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  list = '/audit/auditCheckMethodItem/list',

  save='/audit/auditCheckMethodItem/add',
  edit='/audit/auditCheckMethodItem/edit',
  deleteOne = '/audit/auditCheckMethodItem/delete',
  deleteBatch = '/audit/auditCheckMethodItem/deleteBatch',
  importExcel = '/audit/auditCheckMethodItem/importExcel',
  exportXls = '/audit/auditCheckMethodItem/exportXls',
  queryByCheckId = '/audit/auditCheckMethodItem/queryByCheckId',
  
  queryAllCheckMethodItems = '/audit/auditCheckMethodItem/queryAllCheckMethodItems',
  getAllCheckMethodByItem = '/audit/auditCheckMethodItem/getAllCheckMethodByItem',

  getAllCheckMethod = '/audit/auditCheckMethodItem/getAllCheckMethod',
  getAllCheckMethodFiles = '/audit/auditCheckMethodItem/getAllCheckMethodFiles',

  queryAllCheckItems = '/audit/auditCheckMethodItem/queryAllCheckItems',
  editName='/audit/auditCheckMethodItem/editName',

  
  
}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});

export const queryAllCheckItems = (params) =>
  defHttp.get({url: Api.queryAllCheckItems, params});


/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}


export const saveEditName = (params) => {
  return defHttp.post({url: Api.editName, params});
}

export const queryByCheckId = (params) => {
  const retDataList = defHttp.get({url: Api.queryByCheckId, params});
  return retDataList
}

export const batchDeleteNoTip = (params) => {
  return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
  });
}


export const queryAllCheckMethodItems = (params) => {
  const retDataList = defHttp.get({url: Api.queryAllCheckMethodItems, params});
  return retDataList
}

export const getAllCheckMethodByItem = (params) => {
  const retDataList = defHttp.get({url: Api.getAllCheckMethodByItem, params});
  return retDataList
}

export const getAllCheckMethod = (params) => {
  const retDataList = defHttp.get({url: Api.getAllCheckMethod, params});
  return retDataList
}

export const getAllCheckMethodFiles = (params) => {
  const retDataList = defHttp.get({url: Api.getAllCheckMethodFiles, params});
  return retDataList
}






